Download it now!
Bug 71834 - File crashes LibreOffice on Save - 1- Assgnt 1 DM_Julia-Inci-Yasemin.docx
Summary: File crashes LibreOffice on Save - 1- Assgnt 1 DM_Julia-Inci-Yasemin.docx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha1
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2013-11-20 12:42 UTC by Rajashri
Modified: 2014-05-09 06:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document (1.43 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-11-20 12:42 UTC, Rajashri
Details
console + bt with master sources (81.56 KB, text/plain)
2013-11-22 06:05 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rajashri 2013-11-20 12:42:06 UTC
Created attachment 89528 [details]
Document
Comment 1 Urmas 2013-11-20 13:03:53 UTC
Confirmed.
Comment 2 Julien Nabet 2013-11-22 06:05:53 UTC
Created attachment 89618 [details]
console + bt with master sources

On pc Debian x86-64 with master sources updated yesterday, I reproduced the crash.

I attached console logs + bt
Comment 3 Commit Notification 2014-01-10 14:52:43 UTC
umeshkadam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89a3acbdb590c3552a3184137ba0aad7f97f1549

fdo#71834: Fix for floating table



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 retired 2014-01-11 08:26:42 UTC
umeshkadam does your patch fix this problem? Setting to ASSIGNED.
Comment 5 retired 2014-01-12 16:30:09 UTC
Tested with latest nightly. Fix confirmed with

Version: 4.3.0.0.alpha0+
Build ID: cbe7ab3d6188e725414cbb15ca534f96fe51d8c7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-01-12_00:08:19

thanks a lot umeshkadam :)
Comment 6 Julien Nabet 2014-01-12 17:14:38 UTC
umeshkadam: any update for 4.2?

Joren/Foss: https://wiki.documentfoundation.org/File:BzLifecycleold.png is not precise about a point. Should it be resolved once all the LO branches which have the bugs are fixed or just master?
IMHO, it should be all versions or at least the ones which are not EOL.
Comment 7 Commit Notification 2014-05-09 06:50:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5874376a7db53a4b0e8b3fabb902d14639032cc

fdo#71834 make reproducer document more minimal



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.